apiVersion: v1
kind: Service
metadata:
  name: companion-service
  namespace: rpiuav
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 4000
  selector:
    app.kubernetes.io/name: companion-deployment
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app.kubernetes.io/name: companion-deployment
    name: companion
  name: companion
  namespace: rpiuav
spec:
  replicas: 1
  selector:
    matchLabels:
      app: companion-replicaset
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: companion-replicaset
        app.kubernetes.io/name: companion-deployment
    spec:
      containers:
      - env:
        - name: PHX_SERVER
          value: "True"
        - name: SECRET_KEY_BASE
          value: GM4Nv3AsIrj36aK6y2NJYmuKZSKoJ9i5bjxaLSLTH+2A16LC69JzQzHe7X3m7YJR
        - name: MAVLINK_CONNECTION
          value: udpout:router-service.rpiuav.svc.cluster.local:14550
        image: registry.gitlab.com/got.vision/rpiuav/companion:2022-08-09.246
        name: companion
        ports:
        - containerPort: 4000
        resources:
          limits:
            cpu: "0.5"
            memory: 200Mi
          requests:
            cpu: "0.25"
            memory: 50Mi
        volumeMounts:
        - mountPath: /var/lib/rancher/k3s/server/tls/server-ca.crt
          name: ca
      serviceAccountName: rpimodifier
      volumes:
      - hostPath:
          path: /var/lib/rancher/k3s/server/tls/server-ca.crt
        name: ca
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: traefik
  name: companion-ingress
  namespace: rpiuav
spec:
  rules:
  - http:
      paths:
      - backend:
          service:
            name: companion-service
            port:
              number: 80
        path: /
        pathType: Prefix
